// vertex shader for light mapping

varying vec3 vertex_to_light;

uniform vec3 light_pos;

void main()
{

  //transform the vertex to clip space
  gl_Position = ftransform();

  //calculate vector from vertex to light
  vertex_to_light = vec3(light_pos.x - gl_Position.x, light_pos.y - gl_Position.y, light_pos.z - gl_Position.z);

  //pass through the texture coordinates
  gl_TexCoord[0] = gl_MultiTexCoord0;

}
